Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ISun.DateRange

    java.lang.Object
      igeo.ISun.DateRange

Enclosing class:
  ISun

    public static class ISun.DateRange

extends java.lang.Object

Field Summary
`int` | `endDay`
`int` | `endMonth`
`int` | `endYear`
`int` | `startDay`
`int` | `startMonth`
`int` | `startYear`

Constructor Summary
`ISun.DateRange(int year)`
`ISun.DateRange(int year, int startMonth, int endMonth)`
`ISun.DateRange(int year, int startMonth, int startDay, int endMonth, int endDay)`
`ISun.DateRange(int startYear, int startMonth, int startDay, int endYear, int endMonth, int endDay)`

Method Summary
`int` | `dayCount()`
`ISun.DateIterator` | `getIterator()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### startYear

    public int startYear

### endYear

    public int endYear

### startMonth

    public int startMonth

### endMonth

    public int endMonth

### startDay

    public int startDay

### endDay

    public int endDay

Constructor Detail

### ISun.DateRange

    public ISun.DateRange(int startYear,
                          int startMonth,
                          int startDay,
                          int endYear,
                          int endMonth,
                          int endDay)

### ISun.DateRange

    public ISun.DateRange(int year,
                          int startMonth,
                          int startDay,
                          int endMonth,
                          int endDay)

### ISun.DateRange

    public ISun.DateRange(int year,
                          int startMonth,
                          int endMonth)

### ISun.DateRange

    public ISun.DateRange(int year)

Method Detail

### getIterator

    public ISun.DateIterator getIterator()

### dayCount

    public int dayCount()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD